Open MPI logo

Open MPI User's Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Open MPI User's mailing list

Subject: Re: [OMPI users] valgrind problems
From: Jeff Squyres (jsquyres_at_[hidden])
Date: 2009-02-26 22:33:10


On Feb 26, 2009, at 10:27 PM, Justin wrote:

> Also the stable version of openmpi on Debian is 1.2.7rc2. Are there
> any known issues with this version and valgrid?

To be honest, the Debian OMPI maintainers will need to answer this.
I'm afraid that it's been so long since I've used the 1.2 series that
I don't know for sure. It also may depend on your version of Valgrind.

I've been using valgrind 3.4 with OMPI 1.3 and our development trunk
with no problems. Indeed, OMPI 1.3 added explicit support for
valgrind to warn you if you write into buffers that you already gave
to MPI (see the --with-memchecker option in the README).

We still do have some memory that is not freed properly during
MPI_FINALIZE in the 1.3 series. It'll be a bit better in the v1.4
series, etc. (i.e., it's a low priority item that we're slowly
tackling).

-- 
Jeff Squyres
Cisco Systems